# License

## Main Source
(contents of [app/](https://github.com/sonic-pi-net/sonic-pi/tree/main/app) and [etc/synthdefs/](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/synthdefs) directories)

The MIT License (MIT)

Copyright (c) 2012 - 2021 Samuel Aaron and contributors (sam@sonic-pi.net)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

## GUI
As the Sonic Pi GUI links with GPLv3-licensed software distributors of
Sonic Pi GUI binaries must comply with the terms of the GPL

## Font
The font used in the GUI is [Hack](http://sourcefoundry.org/hack/) released under the [Hack Open Font License v2.0](https://github.com/chrissimpkins/Hack/blob/master/LICENSE.md)


## Docs, Tutorial and Examples
(contents of [etc/doc/](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/doc) and [etc/examples](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/examples) directories)

All the examples (in
[etc/examples](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/examples))
and contents of the doc directory including the articles and the
tutorial are copyright by Sam Aaron unless a specific author is stated
with the comment `# coded by ...` in which case the copyright is
associated with that author (2015) and the content is released under the
CC BY-SA 4.0 license:

[http://creativecommons.org/licenses/by-sa/4.0/](http://creativecommons.org/licenses/by-sa/4.0/)


## Samples
(contents of [etc/samples/](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/samples))

All the bundled samples are individually licensed under a
[CC0 1.0 Universal Public Domain Dedication](http://creativecommons.org/publicdomain/zero/1.0/). They
have all been obtained from [freesound.org](http://freesound.org) and
links to their sources can be found in the file
[etc/samples/README.md](https://github.com/sonic-pi-net/sonic-pi/blob/main/etc/samples/README.md)

[http://creativecommons.org/publicdomain/zero/1.0/](http://creativecommons.org/publicdomain/zero/1.0/)


## Wavetables
(contents of [etc/wavetables/](https://github.com/sonic-pi-net/sonic-pi/tree/main/etc/wavetables)

All the bundled wavetable samples are individually licensed under a
[CC0 1.0 Universal Public Domain Dedication](http://creativecommons.org/publicdomain/zero/1.0/). They
have been obtained from the
[Adventure Kid](http://www.adventurekid.se/akrt/waveforms/adventure-kid-waveforms/)
site.


## Bundled Software
The following is a list of the software included in Sonic Pi with their
relevant licenses:


### Unlinked software
* [Ruby](http://ruby-lang.org) - [Ruby License](https://www.ruby-lang.org/en/about/license.txt)
* [SuperCollider](http://supercollider.sourceforge.net) - [GNU General Public License v3](https://www.gnu.org/licenses/gpl-3.0.html)
* [Erlang](http://erlang.org) - [Erlang Public License](https://www.erlang.org/EPLICENSE)
* [sp_midi](https://github.com/llloret/sp_midi) - [MIT License](http://opensource.org/licenses/MIT)
* [RtMidi](https://github.com/thestk/rtmidi) - [MIT License + sharing request](https://github.com/thestk/rtmidi/blob/master/LICENSE)



### Dynamically Linked Libraries for GUI
* [Qt](http://qt-project.org) - [LGPL v2.1](https://www.gnu.org/licenses/lgpl-2.1.html)
* [QScintilla2](http://www.riverbankcomputing.com/software/qscintilla/intro) - [GNU General Public License v2](https://www.gnu.org/licenses/gpl-2.0.html)
* [KISS FFT](https://github.com/mborgerding/kissfft) - [BSD 3-Clause License](http://opensource.org/licenses/BSD-3-Clause)
* [Tracy](https://bitbucket.org/wolfpld/tracy/src/master/) - [BSD 3-Clause License](http://opensource.org/licenses/BSD-3-Clause)


### Included Ruby Libraries for Server
(contents of [app/server/vendor/](https://github.com/sonic-pi-net/sonic-pi/tree/main/app/server/vendor))

* [ActiveSupport](https://github.com/rails/rails/tree/master/activesupport) - [MIT License](http://opensource.org/licenses/MIT)
* [Atomic](http://github.com/headius/ruby-atomic) - [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)
* [Blankslate](https://github.com/masover/blankslate) - [MIT License](http://opensource.org/licenses/MIT)
* [Did You Mean](https://github.com/yuki24/did_you_mean) - [MIT License](http://opensource.org/licenses/MIT)
* [FFI](https://github.com/ffi/ffi) - [BSD 3-Clause License](http://opensource.org/licenses/BSD-3-Clause)
* [i81n](https://github.com/svenfuchs/i18n) - [MIT License](http://opensource.org/licenses/MIT)
* [Interception](https://github.com/ConradIrwin/interception) - [MIT License](http://opensource.org/licenses/MIT)
* [Kramdown](http://kramdown.gettalong.org) - [MIT License](http://opensource.org/licenses/MIT)
* [Multi JSON](https://github.com/intridea/multi_json) - [MIT License](http://opensource.org/licenses/MIT)
* [Parslet](http://kschiess.github.io/parslet/) - [MIT License](http://opensource.org/licenses/MIT)
* [Rouge](https://github.com/jneen/rouge) - [MIT License](http://opensource.org/licenses/MIT)
* [Rubame](https://github.com/saward/Rubame) - [MIT License](http://opensource.org/licenses/MIT)
* [Ruby Beautify](https://github.com/erniebrodeur/ruby-beautify) - [MIT License](http://opensource.org/licenses/MIT)
* [Ruby Prof](https://github.com/ruby-prof/ruby-prof) - [BSD 2-Clause License](http://opensource.org/licenses/BSD-2-Clause) - [MIT License](http://opensource.org/licenses/MIT)
* [Rugged](https://github.com/libgit2/rugged) - [MIT License](http://opensource.org/licenses/MIT)
* [Thread Safe](https://github.com/ruby-concurrency/thread_safe) - [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)
* [Websocket](https://github.com/imanel/websocket-ruby) - [MIT License](http://opensource.org/licenses/MIT)
* [NArray](https://github.com/masa16/narray) - [Ruby License](https://www.ruby-lang.org/en/about/license.txt)
* [Ruby CoreAudio](https://github.com/nagachika/ruby-coreaudio) - [MIT License](http://opensource.org/licenses/MIT)
* [WaveFile](https://github.com/jstrait/wavefile/) - [MIT License](http://opensource.org/licenses/MIT)
* [Benchmark-IPS](https://github.com/evanphx/benchmark-ips) - [MIT License](http://opensource.org/licenses/MIT)
* [Mocha](http://gofreerange.com/mocha/docs/) - [MIT License](http://opensource.org/licenses/MIT)
* [MiniTest](http://ruby-doc.org/stdlib-2.0.0/libdoc/minitest/rdoc/MiniTest.html) - [Ruby License](https://www.ruby-lang.org/en/about/license.txt)
* [AST](https://github.com/whitequark/ast) - [MIT License](http://opensource.org/licenses/MIT)
* [Parser](https://github.com/whitequark/parser) - [MIT License](http://opensource.org/licenses/MIT)
* [Metaclass](https://github.com/floehopper/metaclass) - [MIT License](http://opensource.org/licenses/MIT)
* [Sys Proctable](https://github.com/djberg96/sys-proctable) - [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)
* [Treetop](https://github.com/cjheath/treetop) - [MIT License](http://opensource.org/licenses/MIT)
* [Polyglot](http://github.com/cjheath/polyglot) - [MIT License](http://opensource.org/licenses/MIT)


### Dynamically Linked Libraries for Server
* [Aubio](http://aubio.org) - [GNU General Public License v3](https://www.gnu.org/licenses/gpl-3.0.html)
* [rtosc](https://github.com/fundamental/rtosc) - [MIT License](http://opensource.org/licenses/MIT)
